PubIished tems

List

get

Retrieve a list of all the published resources

Query parameters
SiteIdinteger · int32Optional

Site ID for which to retrieve published resources (optional)

NamestringOptional

Filter the result by name (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

RAS Published Item

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS Publishing Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

preferredRoutingEnabledbooleanOptional

Whether Preferred Routing is enabled or not.

get
/api/PubItems

Get

get

Retrieve a specified published resource

Path parameters
idinteger · int32Required

ID of the published resource to be retrieved

Responses
chevron-right
200

Success

application/json; api-version=1.0

RAS Published Item

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

inheritMaintenancebooleanOptional

Inherit Maintenance.

replicateMaintenancebooleanOptional

Replicate Maintenance.

namestring · nullableOptional

Name of the published item.

typestring · enumOptional

RAS Publishing Objects

Possible values:
parentIdinteger · int32Optional

ID of the parent folder of the published item.

previousIdinteger · int32Optional

ID of the previous published item.

descriptionstring · nullableOptional

Description of the published item.

enabledModestring · enumOptional

Published resource availability modes.

Possible values:
enabledbooleanOptional

Whether the published item is enabled or not.

publishToSiteinteger · int32[] · nullableOptional

List of the IDs of all the sites this item is published to.

preferredRoutingEnabledbooleanOptional

Whether Preferred Routing is enabled or not.

get
/api/PubItems/{id}

Delete

delete

Delete a published resource

Path parameters
idinteger · int32Required

ID of the published resource to be deleted

Responses
delete
/api/PubItems/{id}

No content

Last updated